// Copyright 2017 Google Inc.

// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at

//      http://www.apache.org/licenses/LICENSE-2.0

// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
////////////////////////////////////////////////////////////////////////////////

// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/aes_gcm.proto

/*
Package aes_gcm_proto is a generated protocol buffer package.

It is generated from these files:
	proto/aes_gcm.proto

It has these top-level messages:
	AesGcmKeyFormat
	AesGcmKey
*/
package aes_gcm_go_proto

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// only allowing IV size in bytes = 12 and tag size in bytes = 16
// Thus, accept no params.
type AesGcmKeyFormat struct {
	KeySize uint32 `protobuf:"varint,2,opt,name=key_size,json=keySize" json:"key_size,omitempty"`
}

func (m *AesGcmKeyFormat) Reset()                    { *m = AesGcmKeyFormat{} }
func (m *AesGcmKeyFormat) String() string            { return proto.CompactTextString(m) }
func (*AesGcmKeyFormat) ProtoMessage()               {}
func (*AesGcmKeyFormat) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *AesGcmKeyFormat) GetKeySize() uint32 {
	if m != nil {
		return m.KeySize
	}
	return 0
}

// key_type: type.googleapis.com/google.crypto.tink.AesGcmKey
type AesGcmKey struct {
	Version  uint32 `protobuf:"varint,1,opt,name=version" json:"version,omitempty"`
	KeyValue []byte `protobuf:"bytes,3,opt,name=key_value,json=keyValue,proto3" json:"key_value,omitempty"`
}

func (m *AesGcmKey) Reset()                    { *m = AesGcmKey{} }
func (m *AesGcmKey) String() string            { return proto.CompactTextString(m) }
func (*AesGcmKey) ProtoMessage()               {}
func (*AesGcmKey) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *AesGcmKey) GetVersion() uint32 {
	if m != nil {
		return m.Version
	}
	return 0
}

func (m *AesGcmKey) GetKeyValue() []byte {
	if m != nil {
		return m.KeyValue
	}
	return nil
}

func init() {
	proto.RegisterType((*AesGcmKeyFormat)(nil), "google.crypto.tink.AesGcmKeyFormat")
	proto.RegisterType((*AesGcmKey)(nil), "google.crypto.tink.AesGcmKey")
}

func init() { proto.RegisterFile("proto/aes_gcm.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 206 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x12, 0x2e, 0x28, 0xca, 0x2f,
	0xc9, 0xd7, 0x4f, 0x4c, 0x2d, 0x8e, 0x4f, 0x4f, 0xce, 0xd5, 0x03, 0xf3, 0x84, 0x84, 0xd2, 0xf3,
	0xf3, 0xd3, 0x73, 0x52, 0xf5, 0x92, 0x8b, 0x2a, 0x0b, 0x4a, 0xf2, 0xf5, 0x4a, 0x32, 0xf3, 0xb2,
	0x95, 0x74, 0xb8, 0xf8, 0x1d, 0x53, 0x8b, 0xdd, 0x93, 0x73, 0xbd, 0x53, 0x2b, 0xdd, 0xf2, 0x8b,
	0x72, 0x13, 0x4b, 0x84, 0x24, 0xb9, 0x38, 0xb2, 0x53, 0x2b, 0xe3, 0x8b, 0x33, 0xab, 0x52, 0x25,
	0x98, 0x14, 0x18, 0x35, 0x78, 0x83, 0xd8, 0xb3, 0x53, 0x2b, 0x83, 0x33, 0xab, 0x52, 0x95, 0x9c,
	0xb8, 0x38, 0xe1, 0xaa, 0x85, 0x24, 0xb8, 0xd8, 0xcb, 0x52, 0x8b, 0x8a, 0x33, 0xf3, 0xf3, 0x24,
	0x18, 0x21, 0xca, 0xa0, 0x5c, 0x21, 0x69, 0x2e, 0x4e, 0x90, 0x09, 0x65, 0x89, 0x39, 0xa5, 0xa9,
	0x12, 0xcc, 0x0a, 0x8c, 0x1a, 0x3c, 0x41, 0x20, 0x23, 0xc3, 0x40, 0x7c, 0xa7, 0x50, 0x2e, 0x99,
	0xe4, 0xfc, 0x5c, 0x3d, 0x4c, 0xb7, 0x40, 0x5c, 0x19, 0xc0, 0x18, 0xa5, 0x95, 0x9e, 0x59, 0x92,
	0x51, 0x9a, 0xa4, 0x97, 0x9c, 0x9f, 0xab, 0x0f, 0x51, 0xa6, 0x0f, 0x92, 0xd7, 0x47, 0xf1, 0x53,
	0x3c, 0x98, 0xb7, 0x88, 0x89, 0x2d, 0xc4, 0xd3, 0xcf, 0x3b, 0xc0, 0x29, 0x89, 0x0d, 0xcc, 0x37,
	0x06, 0x04, 0x00, 0x00, 0xff, 0xff, 0x56, 0xfa, 0x50, 0xa6, 0xfa, 0x00, 0x00, 0x00,
}
