// Copyright 2017 Google Inc.

// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at

//      http://www.apache.org/licenses/LICENSE-2.0

// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
////////////////////////////////////////////////////////////////////////////////

// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/common.proto

/*
Package common_proto is a generated protocol buffer package.

It is generated from these files:
	proto/common.proto

It has these top-level messages:
*/
package common_go_proto

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type EllipticCurveType int32

const (
	EllipticCurveType_UNKNOWN_CURVE EllipticCurveType = 0
	EllipticCurveType_NIST_P224     EllipticCurveType = 1
	EllipticCurveType_NIST_P256     EllipticCurveType = 2
	EllipticCurveType_NIST_P384     EllipticCurveType = 3
	EllipticCurveType_NIST_P521     EllipticCurveType = 4
)

var EllipticCurveType_name = map[int32]string{
	0: "UNKNOWN_CURVE",
	1: "NIST_P224",
	2: "NIST_P256",
	3: "NIST_P384",
	4: "NIST_P521",
}
var EllipticCurveType_value = map[string]int32{
	"UNKNOWN_CURVE": 0,
	"NIST_P224":     1,
	"NIST_P256":     2,
	"NIST_P384":     3,
	"NIST_P521":     4,
}

func (x EllipticCurveType) String() string {
	return proto.EnumName(EllipticCurveType_name, int32(x))
}
func (EllipticCurveType) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

type EcPointFormat int32

const (
	EcPointFormat_UNKNOWN_FORMAT EcPointFormat = 0
	EcPointFormat_UNCOMPRESSED   EcPointFormat = 1
	EcPointFormat_COMPRESSED     EcPointFormat = 2
)

var EcPointFormat_name = map[int32]string{
	0: "UNKNOWN_FORMAT",
	1: "UNCOMPRESSED",
	2: "COMPRESSED",
}
var EcPointFormat_value = map[string]int32{
	"UNKNOWN_FORMAT": 0,
	"UNCOMPRESSED":   1,
	"COMPRESSED":     2,
}

func (x EcPointFormat) String() string {
	return proto.EnumName(EcPointFormat_name, int32(x))
}
func (EcPointFormat) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

type HashType int32

const (
	HashType_UNKNOWN_HASH HashType = 0
	HashType_SHA1         HashType = 1
	HashType_SHA224       HashType = 2
	HashType_SHA256       HashType = 3
	HashType_SHA512       HashType = 4
)

var HashType_name = map[int32]string{
	0: "UNKNOWN_HASH",
	1: "SHA1",
	2: "SHA224",
	3: "SHA256",
	4: "SHA512",
}
var HashType_value = map[string]int32{
	"UNKNOWN_HASH": 0,
	"SHA1":         1,
	"SHA224":       2,
	"SHA256":       3,
	"SHA512":       4,
}

func (x HashType) String() string {
	return proto.EnumName(HashType_name, int32(x))
}
func (HashType) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func init() {
	proto.RegisterEnum("google.crypto.tink.EllipticCurveType", EllipticCurveType_name, EllipticCurveType_value)
	proto.RegisterEnum("google.crypto.tink.EcPointFormat", EcPointFormat_name, EcPointFormat_value)
	proto.RegisterEnum("google.crypto.tink.HashType", HashType_name, HashType_value)
}

func init() { proto.RegisterFile("proto/common.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 286 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x64, 0xd0, 0xc1, 0x6a, 0xf2, 0x40,
	0x10, 0x07, 0x70, 0x13, 0x45, 0xfc, 0x86, 0x4f, 0x19, 0xf7, 0xdc, 0x17, 0xa8, 0x87, 0x04, 0xa3,
	0x91, 0x5e, 0xa3, 0x5d, 0x89, 0x15, 0xd7, 0xe0, 0x26, 0x2d, 0xf4, 0x12, 0xcc, 0x12, 0x62, 0x68,
	0x92, 0x0d, 0xe9, 0x5a, 0xf0, 0x75, 0xfa, 0xa4, 0xc5, 0xa4, 0x62, 0xa0, 0xb7, 0xf9, 0x31, 0xc3,
	0xf0, 0xe7, 0x0f, 0xa4, 0xac, 0xa4, 0x92, 0xa6, 0x90, 0x79, 0x2e, 0x0b, 0xa3, 0x06, 0x21, 0x89,
	0x94, 0x49, 0x16, 0x1b, 0xa2, 0xba, 0x94, 0x4a, 0x1a, 0x2a, 0x2d, 0x3e, 0x26, 0x11, 0x8c, 0x69,
	0x96, 0xa5, 0xa5, 0x4a, 0xc5, 0xea, 0x5c, 0x7d, 0xc5, 0xfe, 0xa5, 0x8c, 0xc9, 0x18, 0x86, 0x01,
	0xdb, 0xb2, 0xfd, 0x1b, 0x0b, 0x57, 0xc1, 0xe1, 0x95, 0x62, 0x87, 0x0c, 0xe1, 0x1f, 0xdb, 0x70,
	0x3f, 0xf4, 0x2c, 0x6b, 0x8e, 0x5a, 0x8b, 0xf6, 0x02, 0xf5, 0x3b, 0x67, 0x4f, 0x73, 0xec, 0xde,
	0x69, 0x5b, 0x53, 0xec, 0x4d, 0x28, 0x0c, 0xa9, 0xf0, 0x64, 0x5a, 0xa8, 0xb5, 0xac, 0xf2, 0xa3,
	0x22, 0x04, 0x46, 0xb7, 0xff, 0xeb, 0xfd, 0x61, 0xe7, 0xf8, 0xd8, 0x21, 0x08, 0xff, 0x03, 0xb6,
	0xda, 0xef, 0xbc, 0x03, 0xe5, 0x9c, 0x3e, 0xa3, 0x46, 0x46, 0x00, 0x2d, 0xeb, 0x93, 0x17, 0x18,
	0xb8, 0xc7, 0xcf, 0x53, 0x9d, 0xb0, 0xbe, 0x6e, 0x3e, 0xb8, 0x0e, 0x77, 0xb1, 0x43, 0x06, 0xd0,
	0xe3, 0xae, 0x33, 0x45, 0x8d, 0x00, 0xf4, 0xb9, 0xeb, 0x5c, 0x73, 0xea, 0xb7, 0xd9, 0x5e, 0x60,
	0xf7, 0x77, 0xb6, 0xa7, 0x16, 0xf6, 0x96, 0x3e, 0x3c, 0x08, 0x99, 0x1b, 0x7f, 0x0b, 0x69, 0xaa,
	0xf2, 0xb4, 0xf7, 0xc7, 0x24, 0x55, 0xa7, 0x73, 0x64, 0x08, 0x99, 0x9b, 0xcd, 0x99, 0x79, 0xdd,
	0x9b, 0xed, 0x5e, 0xc3, 0x1a, 0xdf, 0x7a, 0xdf, 0xdf, 0xb0, 0xad, 0xb7, 0x8c, 0xfa, 0xb5, 0x67,
	0x3f, 0x01, 0x00, 0x00, 0xff, 0xff, 0x2e, 0x21, 0x6b, 0xfe, 0x7d, 0x01, 0x00, 0x00,
}
